Subject: Re: bug#35566: Dvorak keyboard layout in graphical installl mode

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 May 2019 14:48:28 +0200

Hi Daniel,

Daniel Dinnyes <[email-masked]> skribis:

> I have been trying to install Guix with System Install method, using a
> ISO image with KVM. I found that in the graphical install mode, while
> being asked for keyboard layout, there was no option for Dvorak layout.
> Not sure if this is intentional, or left out by accident, but it is
> something which should be supported, I think.

The Dvorak layout is there, but maybe not where you expect: you have to
first select, say, the “English (US)” layout, which brings you to a
second page where you can choose a variant, one of which is Dvorak
(screenshot below.)

Note that this is the classification taken from the X Keyboard
extension (XKB).

HTH!

Thanks,
Ludo’.